Subject: bug#78659: [PATCH] Pacify Clang's -Wformat-signedness.

From: Eli Zaretskii <[email-masked]>
Date: Sun, 01 Jun 2025 10:29:33 +0300

> Date: Sat, 31 May 2025 23:47:15 -0700
> Cc: [email-masked]
> From: Paul Eggert <[email-masked]>
> 
> On 2025-05-31 23:24, Eli Zaretskii wrote:
> > Paul, any comments or suggestions?
> 
> As a general rule of thumb, I wouldn't bother pacifying anything but the 
> latest GCC, especially to work around false alarms (which these are). 
> Since this is isn't the latest GCC and these are false alarms, I suggest 
> ignoring the false alarms, or silencing them by using ./configure 
> --disable-gcc-warnings.

Agreed.

> Come to think of it, when building from Git maybe 'configure' should 
> make --enable-gcc-warnings the default only when using recent GCC. 

I tend to agree, but isn't the latest GCC prone to bugs in this area?

And how can we know what is "recent GCC"?